Setup failed: Sequence contains more than one element

5 anni tempo fa
After completing error fraught upgrade from 2.65 -> 2.70 it tries to reinstall and fails with:

Setup failed: Sequence contains more than one element

On the installer page.

Any ideas?
5 anni tempo fa
This exception is caused by trying to install to a database that has already been installed (i.e. already has tables).  To use an existing database, you need to copy the Settings.txt file to the App_Data folder before you start the application.  You should also copy the InstalledPlugins.txt, but be sure to upgrade plugins that are not part of core.
5 anni tempo fa
I installed first on my master machine then after trying to install nopcommerce on other development machine then popped me issue Setup failed: Sequence contains more than one element.
Resolution
Me also ended this issue copy Settings file from master machine under AppFolder to other production machine  Settings file under AppFolder. This error normally comes when nopcommerce already installed database on database server and we are still trying to install nopcommerce with database on the other development machine.
3 anni tempo fa
Got this error (Setup failed: Sequence contains more than one element) several times when trying to upgrade to 4.0. using existing database.
Database was upgraded stepwise from 3.8 - 3.9 - 4.0 without problems. After that I uploaded nopcommerce_4.00NoSource.rar to the root folder and extract it there. Put the settings.txt and InstalledPlugins.txt into the App_Data folder. Didn't work - sequence contains ... error . Also didn't work with Web Platform - sa account issues with db.

Finally WebMatrix 3 did the job:
- New > Empty site > Files tab > paste noppcommerce4.00NoSource files into the root folder
- paste settings.txt (edit database name / user if you changed the name during upgrade) and InstalledPlugins.txt into App_Data folder
- switch to Database tab > Connections > New and connect with your existing database (see host provider for server name, db name, db user, password). Your database will appear under Other Connections.
- Remote > settings > import publish profile > test connection
- Publish
3 anni tempo fa
New York wrote:
This exception is caused by trying to install to a database that has already been installed (i.e. already has tables).  To use an existing database, you need to copy the Settings.txt file to the App_Data folder before you start the application.  You should also copy the InstalledPlugins.txt, but be sure to upgrade plugins that are not part of core.


I agree with this and this have always worked for me as well..
3 anni tempo fa
atulrungta wrote:
I agree with this and this have always worked for me as well..

Atul, it's not necessary to agree with everybody in each topic on this forum. It's not a good way to earn karma points. For sure it's just better to help someone instead of post everywhere.
3 anni tempo fa
cptstefan wrote:


Finally WebMatrix 3 did the job:
- New > Empty site > Files tab > paste noppcommerce4.00NoSource files into the root folder
- paste settings.txt (edit database name / user if you changed the name during upgrade) and InstalledPlugins.txt into App_Data folder
- switch to Database tab > Connections > New and connect with your existing database (see host provider for server name, db name, db user, password). Your database will appear under Other Connections.
- Remote > settings > import publish profile > test connection
- Publish




This was my solution Thank you so much, +1 Webmatrix
1 anno tempo fa
Help ... having the same issue with NOP 4.1.  We had made some customizations to our app and database so it was installed and run locally .  
I published the app to Azure using Visual Studio.  I then put the datasettings.json and installedplugins files in the AppData folder via FTP.  I restarted app from Azure - I get the install screen so I go ahead and put in the connection info but everytime I still get the error "Setup failed: Sequence contains more than one element" Can anyone recommend what to try.
TIA ~ Ronda
1 anno tempo fa
Resolved.  Important to use the correct APP_Data folder (the one inside the wwwroot) . Then the install page came up again - entered db connection info and the site installed correctly.
6 mesi tempo fa
New York wrote:
This exception is caused by trying to install to a database that has already been installed (i.e. already has tables).  To use an existing database, you need to copy the Settings.txt file to the App_Data folder before you start the application.  You should also copy the InstalledPlugins.txt, but be sure to upgrade plugins that are not part of core.


I didn't found Settings.txt  file under App_Data and also don't know how to copy InstalledPlugins.txt
please help ,spent 8 9 hours but didn't found any solution....